/*=======================================================*/
/*  DVINIT.C                                             */
/*     initialize/exit API interface                     */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*=======================================================*/
/* DVinit   initialize DESQview API interface, and       */
/*          return version (0 if DV not loaded)          */
/*   Ralf Brown 4/23/88                                  */
/*=======================================================*/

int pascal DVinit(void)
{
   int version ;

   TVinit() ;
   _AX = 0x2B01 ;
   _CX = 0x4445 ;
   _DX = 0x5351 ;
   geninterrupt(0x21) ;
   if (_AX == 2)
      version = 0x0200 ;
   else
      {
      version = _AH ;
      version += (_AL << 8) ;
      }
   if (version != 0)
      {
      _BX = 0x0200 ;  /* set minimum required API level to 2 */
      _AX = 0x110B ;
      geninterrupt(0x15) ;
      if (_AX == 0x0002)
         {
         _BX = 0x0002 ;
         _AX = 0x110B ;
         geninterrupt(0x15) ;
         }
      }
   if (version > 0x200)
      {
      /* v2.01-specific API call */

      }
   return version ;
}

/*=======================================================*/
/* DVexit   exit DESQview API interface                  */
/*   Ralf Brown 4/23/88                                  */
/*=======================================================*/

void pascal DVexit(void)
{
   TVexit() ;
   /* currently nothing else to do */
}

/* End of DVINIT.C */
